Bug 71499 - (IDE)mounting cdrom hangs Compaq DL360
(IDE)mounting cdrom hangs Compaq DL360
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: 71819 86272 87742 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2002-08-14 09:43 EDT by Rodney Lancaster
Modified: 2008-08-01 12:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rodney Lancaster 2002-08-14 09:43:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1b) Gecko/20020722

Description of problem:
Mounting a cdrom hangs the system after loading RH 7.3 Professional. If
automounting of removable media is enables (by default) just inserting a CD will
hang the system.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Load 7.3 either as server, everything, or custom on a Compaq DL360
2.Insert CD in the changer.
3.System hangs

Actual Results:  System hangs

Expected Results:  CD should have mounted.

Additional info:

Loaded machine with RH 7.2 and it worked fine.   Checked on Compaq/HP's site and
loaded the latest ROMPaq for Linux (4.03A) which did not change anything.  No
output or error messages are seen.
Comment 1 Elliot Lee 2002-08-15 21:25:31 EDT
Likely to be a kernel problem.
Comment 2 Arjan van de Ven 2002-08-16 04:03:39 EDT
can you check with hdparm if DMA is enabled to the cdrom ?
Comment 3 Rodney Lancaster 2002-08-16 10:20:11 EDT
Is this something you need me to do (submitter of bug report)?  If so I have a
problem in that the server has to be put in service today and to do so, I have
had to load RH7.2 on it as that works and I believe that all the other DL360's
we have in house are in production use.  If this is something I can check as a
BIOS setting, that I think I can do.
Comment 4 Richard Black 2002-08-22 19:07:34 EDT
The fix has been found for the cdrom DMA issue which can affect certain systems 
with plain cdrom drives and certain particular ide chipsets.  The problem 
excludes DVD drives and CDRW drives.

The problem is that the following grep command requires the "-H" parameter for 
the awk command to function as expected.  So we change the following block of 
code in /etc/rc.sysinit:

# Turn off DMA on CD-ROMs. It more often than not causes problems.
if [ -x /sbin/hdparm -a -e /proc/ide ]; then
  for N in `grep -v ide-disk /proc/ide/*/*/driver 2>/dev/null | awk -F / '{ prin
t $5 }'`; do
   hdparm -q -d0 /dev/$N >/dev/null 2>&1

to the following:

# Turn off DMA on CD-ROMs. It more often than not causes problems.
if [ -x /sbin/hdparm -a -e /proc/ide ]; then
  for N in `grep -Hv ide-disk /proc/ide/*/*/driver 2>/dev/null | awk -F / '{ 
t $5 }'`; do
   hdparm -q -d0 /dev/$N >/dev/null 2>&1

Richard Black
Comment 5 Bill Nottingham 2002-08-23 16:11:20 EDT
As stated *multiple* times, that is not the proper fix, that code is no longer
in initscripts.
Comment 6 Rodney Lancaster 2002-08-26 10:21:44 EDT
If the code is nolonger in initscripts, where does the proper fix go?  

Also, was the testing done on a Compaq DL360?  If so, I might be able to update
the system now, otherwise it will be going live with 7.2 until I can test it on
a DL360 (whic I don't have a spare yet).
Comment 7 Alan Cox 2003-06-09 10:15:55 EDT
ide=nodma should solve it for now. DL360 requires some special care and handling
for the general case which I've been resolving with a Compaq engineer
Comment 8 Alan Cox 2003-06-09 10:17:47 EDT
*** Bug 71819 has been marked as a duplicate of this bug. ***
Comment 9 Alan Cox 2003-06-09 10:21:17 EDT
*** Bug 86272 has been marked as a duplicate of this bug. ***
Comment 10 Alan Cox 2003-06-09 10:22:00 EDT
*** Bug 87742 has been marked as a duplicate of this bug. ***
Comment 11 Bugzilla owner 2004-09-30 11:39:50 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.